Content-Security-Policy: default-src 'none'
Content-Type: text/plain; charset=UTF-8
Content-Length: 257
Content-Disposition: inline; filename="base-files.mk"
Last-Modified: Wed, 13 Nov 2024 05:53:17 GMT
Expires: Sat, 11 Nov 2034 05:53:17 GMT
ETag: "f21a604b8300a5946e449e827f692c7590fcd8d3"

define Build/Compile
	$(call Build/Compile/Default)
	$(TARGET_CC) -o $(PKG_BUILD_DIR)/adam2patcher $(PLATFORM_DIR)/src/adam2patcher.c
endef

define Package/base-files/install-target
	mkdir -p $(1)/sbin
	$(CP) $(PKG_BUILD_DIR)/adam2patcher $(1)/sbin
endef


21.02.0-rc3' type='application/atom+xml'/>
<link rel='vcs-git' href='git://git.panaceas.org/openwrt/upstream' title='openwrt/upstream Git repository'/>
<link rel='vcs-git' href='ssh://git@git.panaceas.org/git/openwrt/upstream' title='openwrt/upstream Git repository'/>
</head>
<body>
<div id='cgit'><table id='header'>
<tr>
<td class='logo' rowspan='2'><a href='/cgit.cgi/'><img src='/cgit.png' alt='cgit logo'/></a></td>
<td class='main'><a href='/cgit.cgi/'>index</a> : <a title='openwrt/upstream' href='/cgit.cgi/openwrt/upstream/'>openwrt/upstream</a></td><td class='form'><form method='get'>
<input type='hidden' name='id' value='83e392ba73f33a0371e4b7dc8ed02e01a6459d87'/><select name='h' onchange='this.form.submit();'>
<option value='attitude_adjustment'>attitude_adjustment</option>
<option value='barrier_breaker'>barrier_breaker</option>
<option value='chaos_calmer'>chaos_calmer</option>
<option value='lede-17.01'>lede-17.01</option>
<option value='less-old-master'>less-old-master</option>
<option value='master'>master</option>
<option value='old-master'>old-master</option>
<option value='openwrt-18.06'>openwrt-18.06</option>
<option value='openwrt-19.07'>openwrt-19.07</option>
<option value='upstream'>upstream</option>
</select> <input type='submit' value='switch'/></form></td></tr>
<tr><td class='sub'>upstream openwrt</td><td class='sub right'>James</td></tr></table>
<table class='tabs'><tr><td>
<a href='/cgit.cgi/openwrt/upstream/about/?h=v21.02.0-rc3'>about</a><a href='/cgit.cgi/openwrt/upstream/?h=v21.02.0-rc3'>summary</a><a href='/cgit.cgi/openwrt/upstream/refs/?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>refs</a><a href='/cgit.cgi/openwrt/upstream/log/toolchain/eglibc/Config.in?h=v21.02.0-rc3'>log</a><a class='active' href='/cgit.cgi/openwrt/upstream/tree/toolchain/eglibc/Config.in?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>tree</a><a href='/cgit.cgi/openwrt/upstream/commit/toolchain/eglibc/Config.in?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>commit</a><a href='/cgit.cgi/openwrt/upstream/diff/toolchain/eglibc/Config.in?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>diff</a><a href='/cgit.cgi/openwrt/upstream/stats/toolchain/eglibc/Config.in?h=v21.02.0-rc3'>stats</a></td><td class='form'><form class='right' method='get' action='/cgit.cgi/openwrt/upstream/log/toolchain/eglibc/Config.in'>
<input type='hidden' name='h' value='v21.02.0-rc3'/><input type='hidden' name='id' value='83e392ba73f33a0371e4b7dc8ed02e01a6459d87'/><select name='qt'>
<option value='grep'>log msg</option>
<option value='author'>author</option>
<option value='committer'>committer</option>
<option value='range'>range</option>
</select>
<input class='txt' type='search' size='10' name='q' value=''/>
<input type='submit' value='search'/>
</form>
</td></tr></table>
<div class='path'>path: <a href='/cgit.cgi/openwrt/upstream/tree/?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>root</a>/<a href='/cgit.cgi/openwrt/upstream/tree/toolchain?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>toolchain</a>/<a href='/cgit.cgi/openwrt/upstream/tree/toolchain/eglibc?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>eglibc</a>/<a href='/cgit.cgi/openwrt/upstream/tree/toolchain/eglibc/Config.in?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>Config.in</a></div><div class='content'>blob: 82f939b07fdc97ea7878c703aea51cdc330865b2 (<a href='/cgit.cgi/openwrt/upstream/plain/toolchain/eglibc/Config.in?h=v21.02.0-rc3&amp;id=83e392ba73f33a0371e4b7dc8ed02e01a6459d87'>plain</a>)
<table summary='blob content' class='blob'>
<tr><td class='linenumbers'><pre><a id='n1' href='#n1'>1</a>
<a id='n2' href='#n2'>2</a>
<a id='n3' href='#n3'>3</a>
<a id='n4' href='#n4'>4</a>
<a id='n5' href='#n5'>5</a>
<a id='n6' href='#n6'>6</a>
<a id='n7' href='#n7'>7</a>
<a id='n8' href='#n8'>8</a>
<a id='n9' href='#n9'>9</a>
<a id='n10' href='#n10'>10</a>
<a id='n11' href='#n11'>11</a>
<a id='n12' href='#n12'>12</a>
<a id='n13' href='#n13'>13</a>
<a id='n14' href='#n14'>14</a>
<a id='n15' href='#n15'>15</a>
<a id='n16' href='#n16'>16</a>
<a id='n17' href='#n17'>17</a>
<a id='n18' href='#n18'>18</a>
<a id='n19' href='#n19'>19</a>
<a id='n20' href='#n20'>20</a>
<a id='n21' href='#n21'>21</a>
<a id='n22' href='#n22'>22</a>
<a id='n23' href='#n23'>23</a>
<a id='n24' href='#n24'>24</a>
<a id='n25' href='#n25'>25</a>
<a id='n26' href='#n26'>26</a>
<a id='n27' href='#n27'>27</a>
<a id='n28' href='#n28'>28</a>
<a id='n29' href='#n29'>29</a>
</pre></td>
<td class='lines'><pre><code><style>pre { line-height: 125%; margin: 0; }
td.linenos pre { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
span.linenos { color: #000000; background-color: #f0f0f0; padding: 0 5px 0 5px; }
td.linenos pre.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
span.linenos.special { color: #000000; background-color: #ffffc0; padding: 0 5px 0 5px; }
.highlight .hll { background-color: #ffffcc }
.highlight { background: #ffffff; }
.highlight .c { color: #888888 } /* Comment */
.highlight .err { color: #a61717; background-color: #e3d2d2 } /* Error */
.highlight .k { color: #008800; font-weight: bold } /* Keyword */
.highlight .ch { color: #888888 } /* Comment.Hashbang */
.highlight .cm { color: #888888 } /* Comment.Multiline */
.highlight .cp { color: #cc0000; font-weight: bold } /* Comment.Preproc */
.highlight .cpf { color: #888888 } /* Comment.PreprocFile */
.highlight .c1 { color: #888888 } /* Comment.Single */
.highlight .cs { color: #cc0000; font-weight: bold; background-color: #fff0f0 } /* Comment.Special */
.highlight .gd { color: #000000; background-color: #ffdddd } /* Generic.Deleted */
.highlight .ge { font-style: italic } /* Generic.Emph */
.highlight .gr { color: #aa0000 } /* Generic.Error */
.highlight .gh { color: #333333 } /* Generic.Heading */
.highlight .gi { color: #000000; background-color: #ddffdd } /* Generic.Inserted */
.highlight .go { color: #888888 } /* Generic.Output */
.highlight .gp { color: #555555 } /* Generic.Prompt */
.highlight .gs { font-weight: bold } /* Generic.Strong */
.highlight .gu { color: #666666 } /* Generic.Subheading */
.highlight .gt { color: #aa0000 } /* Generic.Traceback */
.highlight .kc { color: #008800; font-weight: bold } /* Keyword.Constant */
.highlight .kd { color: #008800; font-weight: bold } /* Keyword.Declaration */
.highlight .kn { color: #008800; font-weight: bold } /* Keyword.Namespace */
.highlight .kp { color: #008800 } /* Keyword.Pseudo */
.highlight .kr { color: #008800; font-weight: bold } /* Keyword.Reserved */
.highlight .kt { color: #888888; font-weight: bold } /* Keyword.Type */
.highlight .m { color: #0000DD; font-weight: bold } /* Literal.Number */
.highlight .s { color: #dd2200; background-color: #fff0f0 } /* Literal.String */
.highlight .na { color: #336699 } /* Name.Attribute */
.highlight .nb { color: #003388 } /* Name.Builtin */
.highlight .nc { color: #bb0066; font-weight: bold } /* Name.Class */
.highlight .no { color: #003366; font-weight: bold } /* Name.Constant */
.highlight .nd { color: #555555 } /* Name.Decorator */
.highlight .ne { color: #bb0066; font-weight: bold } /* Name.Exception */
.highlight .nf { color: #0066bb; font-weight: bold } /* Name.Function */
.highlight .nl { color: #336699; font-style: italic } /* Name.Label */
.highlight .nn { color: #bb0066; font-weight: bold } /* Name.Namespace */
.highlight .py { color: #336699; font-weight: bold } /* Name.Property */
.highlight .nt { color: #bb0066; font-weight: bold } /* Name.Tag */
.highlight .nv { color: #336699 } /* Name.Variable */
.highlight .ow { color: #008800 } /* Operator.Word */
.highlight .w { color: #bbbbbb } /* Text.Whitespace */
.highlight .mb { color: #0000DD; font-weight: bold } /* Literal.Number.Bin */
.highlight .mf { color: #0000DD; font-weight: bold } /* Literal.Number.Float */
.highlight .mh { color: #0000DD; font-weight: bold } /* Literal.Number.Hex */
.highlight .mi { color: #0000DD; font-weight: bold } /* Literal.Number.Integer */
.highlight .mo { color: #0000DD; font-weight: bold } /* Literal.Number.Oct */
.highlight .sa { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Affix */
.highlight .sb { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Backtick */
.highlight .sc { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Char */
.highlight .dl { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Delimiter */
.highlight .sd { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Doc */
.highlight .s2 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Double */
.highlight .se { color: #0044dd; background-color: #fff0f0 } /* Literal.String.Escape */
.highlight .sh { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Heredoc */
.highlight .si { color: #3333bb; background-color: #fff0f0 } /* Literal.String.Interpol */
.highlight .sx { color: #22bb22; background-color: #f0fff0 } /* Literal.String.Other */
.highlight .sr { color: #008800; background-color: #fff0ff } /* Literal.String.Regex */
.highlight .s1 { color: #dd2200; background-color: #fff0f0 } /* Literal.String.Single */
.highlight .ss { color: #aa6600; background-color: #fff0f0 } /* Literal.String.Symbol */
.highlight .bp { color: #003388 } /* Name.Builtin.Pseudo */
.highlight .fm { color: #0066bb; font-weight: bold } /* Name.Function.Magic */
.highlight .vc { color: #336699 } /* Name.Variable.Class */
.highlight .vg { color: #dd7700 } /* Name.Variable.Global */
.highlight .vi { color: #3333bb } /* Name.Variable.Instance */
.highlight .vm { color: #336699 } /* Name.Variable.Magic */
.highlight .il { color: #0000DD; font-weight: bold } /* Literal.Number.Integer.Long */</style><div class="highlight"><pre><span></span><span class="k">choice</span>
	<span class="k">prompt</span> <span class="s2">&quot;eglibc version&quot;</span>
	<span class="k">depends on</span> TOOLCHAINOPTS <span class="o">&amp;&amp;</span> USE_EGLIBC
	<span class="k">default</span> EGLIBC_VERSION_2_15
	<span class="k">help</span>
<span class="sd">	  Select the version of eglibc you wish to use.</span>

<span class="sd">	config EGLIBC_VERSION_2_15</span>
<span class="sd">		bool &quot;eglibc 2.15&quot;</span>
<span class="sd">		depends !GCC_VERSION_LLVM</span>

<span class="sd">	config EGLIBC_VERSION_2_16</span>
<span class="sd">		bool &quot;eglibc 2.16&quot;</span>
<span class="sd">		depends !GCC_VERSION_LLVM</span>

<span class="k">endchoice</span>

<span class="k">config</span> EGLIBC_REVISION
	<span class="nb">string</span>
	<span class="k">prompt</span> <span class="s2">&quot;eglibc revision&quot;</span>
	<span class="k">depends on</span> TOOLCHAINOPTS <span class="o">&amp;&amp;</span> USE_EGLIBC
	<span class="k">default</span> <span class="s2">&quot;18909&quot;</span> <span class="k">if</span> EGLIBC_VERSION_2_15
	<span class="k">default</span> <span class="s2">&quot;19922&quot;</span> <span class="k">if</span> EGLIBC_VERSION_2_16
	<span class="k">default</span> <span class="s2">&quot;&quot;</span>

<span class="k">menu</span> <span class="s2">&quot;eglibc configuration&quot;</span>
	<span class="k">depends on</span> TOOLCHAINOPTS <span class="o">&amp;&amp;</span> USE_EGLIBC
	<span class="k">source</span> toolchain/eglibc/config/Config.in
<span class="k">endmenu</span>
</pre></div>
</code></pre></td></tr></table>
</div> <!-- class=content -->
<div class='footer'>generated by <a href='https://git.zx2c4.com/cgit/about/'>cgit v1.2.3</a> (<a href='https://git-scm.com/'>git 2.25.1</a>) at 2024-11-13 05:53:17 +0000</div>
</div> <!-- id=cgit -->
</body>
</html>
